Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://apigw.ipxo.com/ecommerce/public/{user_id}/subscription-category-views \
--header 'Authorization: Bearer <token>'import requests
url = "https://apigw.ipxo.com/ecommerce/public/{user_id}/subscription-category-views"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://apigw.ipxo.com/ecommerce/public/{user_id}/subscription-category-views', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"uuid": "d7517eaf-1c9a-38e9-b26c-4bd05bf6a51e",
"subscription_id": "4879373a-c6a2-3ce6-a331-492097e56606",
"subscription_name": "Possimus ea neque nam.",
"status": "draft",
"product_category_id": "a13651d6-720e-4e46-a570-5e4ef966c641",
"product_category_name": "sed-molestias-ea-suscipit-ipsam-impedit-est-quia",
"purchasable_id": "1f3cf814-4758-3954-82df-10843c377954",
"purchasable_type": "product_variant",
"customer_id": "a13651d6-714e-4e1d-9828-7b10027b7119"
},
{
"uuid": "6067f622-4589-39b9-bfee-67db33030551",
"subscription_id": "d2f9a360-2704-3abb-b725-9955f7f7fa5a",
"subscription_name": "Rerum laboriosam et.",
"status": "draft",
"product_category_id": "a13651d6-882b-4fde-bd56-3fcc9452b97a",
"product_category_name": "ut-illo-nesciunt-totam-omnis-commodi",
"purchasable_id": "6fa0a2e7-c806-3385-b4fe-a792a11c1873",
"purchasable_type": "product_variant",
"customer_id": "a13651d6-8768-44ef-b684-69b6fb3689c8"
}
],
"meta": {
"current_page": 1,
"total": 2,
"per_page": 10
}
}Returns a list of subscription category views for the customer.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
The ID of the user.
"4cdf32b8-47e2-4714-88b4-9ab307a097f9"
active, pending, expired, draft, terminated, pending_termination "active"
"active,pending"
A comma-separated list of fields to sort. Multiple allowed. Prefix with - to sort descending.
product_category_name, status "product_category_name"
Show child attributes
[
{
"uuid": "d7517eaf-1c9a-38e9-b26c-4bd05bf6a51e",
"subscription_id": "4879373a-c6a2-3ce6-a331-492097e56606",
"subscription_name": "Possimus ea neque nam.",
"status": "draft",
"product_category_id": "a13651d6-720e-4e46-a570-5e4ef966c641",
"product_category_name": "sed-molestias-ea-suscipit-ipsam-impedit-est-quia",
"purchasable_id": "1f3cf814-4758-3954-82df-10843c377954",
"purchasable_type": "product_variant",
"customer_id": "a13651d6-714e-4e1d-9828-7b10027b7119"
},
{
"uuid": "6067f622-4589-39b9-bfee-67db33030551",
"subscription_id": "d2f9a360-2704-3abb-b725-9955f7f7fa5a",
"subscription_name": "Rerum laboriosam et.",
"status": "draft",
"product_category_id": "a13651d6-882b-4fde-bd56-3fcc9452b97a",
"product_category_name": "ut-illo-nesciunt-totam-omnis-commodi",
"purchasable_id": "6fa0a2e7-c806-3385-b4fe-a792a11c1873",
"purchasable_type": "product_variant",
"customer_id": "a13651d6-8768-44ef-b684-69b6fb3689c8"
}
]
Show child attributes